Subject: Re: [OAUTH-WG] Remark on OAuth 2.0 Device Flow name

From: William Denniss <[email-masked]>
Date: Thu, 21 Feb 2019 13:55:30 -0800

Kristian,

Thanks for the feedback & sorry for the delay. You make a good point, I'm
going to discuss this with my co-authors.

Best,
William

On Tue, Nov 27, 2018 at 1:04 PM Kristian Antic <[email-masked]>
wrote:

> Dear all,
>
> I've been working through the OAuth 2.0 Device Flow spec since early
> draft versions
> and noticed the name change in draft-ietf-oauth-device-flow-04.
>
> As the OAuth 2.0 Device flow is an OAuth 2.0 authorization grant/OAuth
> 2.0 extension grant, I always wonder why it is called OAuth 2.0 Device
> flow.
>
> Could you tell me why you called it OAuth 2.0 Device Flow for
> Browserless and Input Constrained Devices and not OAuth 2.0 Device
> Grant for Browserless and Input Constrained Devices?
>
> >From my point of view this would better fit into the naming scheme of
> the OAuth 2.0 framework.
>
> Best regards,
>
> Kristian
>
> _______________________________________________
> OAuth mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/oauth
>